Skip to main content
`Ctrl`+`K`

# DMSNESCheckJacobian

Check the Jacobian of the exact solution against the residual using the Taylor Test

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESCheckJacobian(SNES snes, DM dm, Vec u, PetscReal tol, PetscBool *isLinear, PetscReal *convRate)

## Input Parameters

- snes - the `SNES` object

- dm - the `DM`

- u - a `DM` vector

- tol - A tolerance for the check, or -1 to print the results instead

## Output Parameters

- isLinear - Flag indicaing that the function looks linear, or `NULL`

- convRate - The rate of convergence of the linear model, or `NULL`

## See Also

SNES: Nonlinear Solvers, `DNSNESCheckFromOptions()`, `DMSNESCheckDiscretization()`, `DMSNESCheckResidual()`

## Level

developer

## Location

src/snes/utils/dmplexsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages